Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc
Class JcrResultSet

    java.lang.Object
      org.modeshape.jdbc.JcrResultSet

All Implemented Interfaces:
  ResultSet, Wrapper

    public class JcrResultSet

extends Object
implements ResultSet

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`protected` | `JcrResultSet()` no-arg CTOR is used to create an empty result set
`protected` | `JcrResultSet(org.modeshape.jdbc.JcrStatement statement, QueryResult jcrResults, ResultSetMetaData resultSetMetaData)`

Method Summary
`boolean` | `absolute(int row)` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `afterLast()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `beforeFirst()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`int` | `findColumn(String columnLabel)`
`boolean` | `first()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`protected void` | `forwardOnly()`
`Array` | `getArray(int columnIndex)`
`Array` | `getArray(String columnLabel)`
`InputStream` | `getAsciiStream(int columnIndex)`
`InputStream` | `getAsciiStream(String columnLabel)`
`BigDecimal` | `getBigDecimal(int columnIndex)`
`BigDecimal` | `getBigDecimal(int columnIndex, int scale)`
`BigDecimal` | `getBigDecimal(String columnLabel)`
`BigDecimal` | `getBigDecimal(String columnLabel, int scale)`
`InputStream` | `getBinaryStream(int columnIndex)`
`InputStream` | `getBinaryStream(String columnLabel)`
`Blob` | `getBlob(int columnIndex)`
`Blob` | `getBlob(String columnLabel)`
`boolean` | `getBoolean(int columnIndex)`
`boolean` | `getBoolean(String columnLabel)`
`byte` | `getByte(int columnIndex)`
`byte` | `getByte(String columnLabel)`
`byte[]` | `getBytes(int columnIndex)`
`byte[]` | `getBytes(String columnLabel)`
`Reader` | `getCharacterStream(int columnIndex)`
`Reader` | `getCharacterStream(String columnLabel)`
`Clob` | `getClob(int columnIndex)`
`Clob` | `getClob(String columnLabel)`
`int` | `getConcurrency()`
`String` | `getCursorName()`
`Date` | `getDate(int columnIndex)`
`Date` | `getDate(int columnIndex, Calendar cal)`
`Date` | `getDate(String columnLabel)`
`Date` | `getDate(String columnLabel, Calendar cal)`
`double` | `getDouble(int columnIndex)`
`double` | `getDouble(String columnLabel)`
`int` | `getFetchDirection()` This driver only supports `ResultSet.FETCH_FORWARD`.
`int` | `getFetchSize()`
`float` | `getFloat(int columnIndex)`
`float` | `getFloat(String columnLabel)`
`int` | `getHoldability()` According to 1.6 javadocs, holdability should be set to either `ResultSet.CLOSE_CURSORS_AT_COMMIT` or `ResultSet.HOLD_CURSORS_OVER_COMMIT`.
`int` | `getInt(int columnIndex)`
`int` | `getInt(String columnLabel)`
`long` | `getLong(int columnIndex)`
`long` | `getLong(String columnLabel)`
`ResultSetMetaData` | `getMetaData()`
`Reader` | `getNCharacterStream(int columnIndex)`
`Reader` | `getNCharacterStream(String columnLabel)`
`NClob` | `getNClob(int columnIndex)`
`NClob` | `getNClob(String columnLabel)`
`String` | `getNString(int columnIndex)`
`String` | `getNString(String columnLabel)`
`Object` | `getObject(int columnIndex)`
`
`<T> T`
` | `getObject(int columnIndex, Class<T> type)` This method always throws `SQLFeatureNotSupportedException`.
`Object` | `getObject(int columnIndex, Map<String,Class<?>> map)`
`Object` | `getObject(String columnLabel)`
`
`<T> T`
` | `getObject(String columnLabel, Class<T> type)` This method always throws `SQLFeatureNotSupportedException`.
`Object` | `getObject(String columnLabel, Map<String,Class<?>> map)`
`Ref` | `getRef(int columnIndex)`
`Ref` | `getRef(String columnLabel)`
`int` | `getRow()`
`RowId` | `getRowId(int columnIndex)` This method will always throw `SQLFeatureNotSupportedException`
`RowId` | `getRowId(String columnLabel)`
`short` | `getShort(int columnIndex)`
`short` | `getShort(String columnLabel)`
`SQLXML` | `getSQLXML(int columnIndex)`
`SQLXML` | `getSQLXML(String columnLabel)`
`Statement` | `getStatement()`
`String` | `getString(int columnIndex)`
`String` | `getString(String columnLabel)`
`Time` | `getTime(int columnIndex)`
`Time` | `getTime(int columnIndex, Calendar cal)`
`Time` | `getTime(String columnLabel)`
`Time` | `getTime(String columnLabel, Calendar cal)`
`Timestamp` | `getTimestamp(int columnIndex)`
`Timestamp` | `getTimestamp(int columnIndex, Calendar cal)`
`Timestamp` | `getTimestamp(String columnLabel)`
`Timestamp` | `getTimestamp(String columnLabel, Calendar cal)`
`int` | `getType()` This driver only supports `ResultSet.TYPE_FORWARD_ONLY`.
`InputStream` | `getUnicodeStream(int columnIndex)`
`InputStream` | `getUnicodeStream(String columnLabel)`
`URL` | `getURL(int columnIndex)`
`URL` | `getURL(String columnLabel)`
`Value` | `getValue(int columnIndex)`
`Value` | `getValue(String columnLabel)`
`SQLWarning` | `getWarnings()`
`protected boolean` | `hasNext()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isClosed()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`protected void` | `isRowSet()`
`boolean` | `isWrapperFor(Class<?> iface)`
`protected void` | `itemNotFoundUsingColunName(String columnName)`
`boolean` | `last()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `moveToCurrentRow()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `moveToInsertRow()`
`boolean` | `next()` This method, when cursor position is after the last row, will return `false`
`protected void` | `notClosed()`
`protected void` | `noUpdates()`
`boolean` | `previous()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `refreshRow()` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`boolean` | `relative(int rows)` This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.
`boolean` | `rowDeleted()` This method always returns false since this JDBC driver does not support any updates.
`boolean` | `rowInserted()` This method always returns false since this JDBC driver does not support any updates.
`boolean` | `rowUpdated()` This method always returns false since this JDBC driver does not support any updates.
`void` | `setFetchDirection(int direction)` This method, when called on an open result set, will have no effect on the fetch direction because this driver only supports `ResultSet.FETCH_FORWARD`.
`void` | `setFetchSize(int rows)`
`
`<T> T`
` | `unwrap(Class<T> iface)`
`void` | `updateArray(int columnIndex, Array x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateArray(String columnLabel, Array x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateAsciiStream(int columnIndex, InputStream x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateAsciiStream(int columnIndex, InputStream x, int length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateAsciiStream(int columnIndex, InputStream x, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateAsciiStream(String columnLabel, InputStream x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateAsciiStream(String columnLabel, InputStream x, int length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateAsciiStream(String columnLabel, InputStream x, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBigDecimal(int columnIndex, BigDecimal x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBigDecimal(String columnLabel, BigDecimal x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBinaryStream(int columnIndex, InputStream x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBinaryStream(int columnIndex, InputStream x, int length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBinaryStream(int columnIndex, InputStream x, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBinaryStream(String columnLabel, InputStream x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBinaryStream(String columnLabel, InputStream x, int length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBinaryStream(String columnLabel, InputStream x, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBlob(int columnIndex, Blob x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBlob(int columnIndex, InputStream inputStream)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBlob(int columnIndex, InputStream inputStream, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBlob(String columnLabel, Blob x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBlob(String columnLabel, InputStream inputStream)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBlob(String columnLabel, InputStream inputStream, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBoolean(int columnIndex, boolean x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBoolean(String columnLabel, boolean x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateByte(int columnIndex, byte x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateByte(String columnLabel, byte x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBytes(int columnIndex, byte[] x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateBytes(String columnLabel, byte[] x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateCharacterStream(int columnIndex, Reader x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateCharacterStream(int columnIndex, Reader x, int length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateCharacterStream(int columnIndex, Reader x, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateCharacterStream(String columnLabel, Reader reader)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateCharacterStream(String columnLabel, Reader reader, int length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateCharacterStream(String columnLabel, Reader reader, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateClob(int columnIndex, Clob x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateClob(int columnIndex, Reader reader)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateClob(int columnIndex, Reader reader, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateClob(String columnLabel, Clob x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateClob(String columnLabel, Reader reader)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateClob(String columnLabel, Reader reader, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateDate(int columnIndex, Date x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateDate(String columnLabel, Date x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateDouble(int columnIndex, double x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateDouble(String columnLabel, double x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateFloat(int columnIndex, float x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateFloat(String columnLabel, float x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateInt(int columnIndex, int x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateInt(String columnLabel, int x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateLong(int columnIndex, long x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateLong(String columnLabel, long x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNCharacterStream(int columnIndex, Reader x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNCharacterStream(int columnIndex, Reader x, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNCharacterStream(String columnLabel, Reader reader)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNCharacterStream(String columnLabel, Reader reader, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNClob(int columnIndex, NClob clob)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNClob(int columnIndex, Reader reader)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNClob(int columnIndex, Reader reader, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNClob(String columnLabel, NClob clob)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNClob(String columnLabel, Reader reader)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNClob(String columnLabel, Reader reader, long length)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNString(int columnIndex, String string)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNString(String columnLabel, String string)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNull(int columnIndex)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateNull(String columnLabel)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateObject(int columnIndex, Object x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateObject(int columnIndex, Object x, int scaleOrLength)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateObject(String columnLabel, Object x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateObject(String columnLabel, Object x, int scaleOrLength)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateRef(int columnIndex, Ref x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateRef(String columnLabel, Ref x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateRow()` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateRowId(int columnIndex, RowId x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateRowId(String columnLabel, RowId x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateShort(int columnIndex, short x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateShort(String columnLabel, short x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateSQLXML(int columnIndex, SQLXML xmlObject)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateSQLXML(String columnLabel, SQLXML xmlObject)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateString(int columnIndex, String x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateString(String columnLabel, String x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateTime(int columnIndex, Time x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateTime(String columnLabel, Time x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateTimestamp(int columnIndex, Timestamp x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`void` | `updateTimestamp(String columnLabel, Timestamp x)` This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrResultSet

    protected JcrResultSet(org.modeshape.jdbc.JcrStatement statement,
                           QueryResult jcrResults,
                           ResultSetMetaData resultSetMetaData)
                    throws SQLException

Throws:
  `SQLException`

### JcrResultSet

    protected JcrResultSet()

  no-arg CTOR is used to create an empty result set

  See Also:
    `JcrStatement.getGeneratedKeys()`

Method Detail

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `ResultSet`
  See Also:
    `ResultSet.isClosed()`

### close

    public void close()

  Specified by:
    `close` in interface `ResultSet`
  See Also:
    `ResultSet.close()`

### notClosed

    protected final void notClosed()
                            throws SQLException

  Throws:
    `SQLException`

### noUpdates

    protected final void noUpdates()
                            throws SQLException

  Throws:
    `SQLException`

### forwardOnly

    protected final void forwardOnly()
                              throws SQLException

  Throws:
    `SQLException`

### itemNotFoundUsingColunName

    protected final void itemNotFoundUsingColunName(String columnName)
                                             throws SQLException

  Throws:
    `SQLException`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getMetaData()`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Specified by:
    `getStatement` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getStatement()`

### getType

    public int getType()
                throws SQLException

  This driver only supports `ResultSet.TYPE_FORWARD_ONLY`.

  Specified by:
    `getType` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getType()`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  This driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `getFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getFetchDirection()`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

  This method, when called on an open result set, will have no effect on the fetch direction because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `setFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.setFetchDirection(int)`

### absolute

    public boolean absolute(int row)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `absolute` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.absolute(int)`

### afterLast

    public void afterLast()
                   throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `afterLast` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.afterLast()`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.beforeFirst()`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.cancelRowUpdates()`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.clearWarnings()`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Specified by:
    `deleteRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.deleteRow()`

### findColumn

    public int findColumn(String columnLabel)
                   throws SQLException

  Specified by:
    `findColumn` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.findColumn(java.lang.String)`

### first

    public boolean first()
                  throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `first` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.first()`

### getRow

    public int getRow()
               throws SQLException

  Specified by:
    `getRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getRow()`

### getRowId

    public RowId getRowId(int columnIndex)
                   throws SQLException

  This method will always throw `SQLFeatureNotSupportedException`

  Specified by:
    `getRowId` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getRowId(int)`

### getRowId

    public RowId getRowId(String columnLabel)
                   throws SQLException

  Specified by:
    `getRowId` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getRowId(java.lang.String)`

### getCursorName

    public String getCursorName()
                         throws SQLException

  Specified by:
    `getCursorName` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getCursorName()`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getFetchSize()`

### getArray

    public Array getArray(int columnIndex)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getArray(int)`

### getArray

    public Array getArray(String columnLabel)
                   throws SQLException

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getArray(java.lang.String)`

### getAsciiStream

    public InputStream getAsciiStream(int columnIndex)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getAsciiStream(int)`

### getAsciiStream

    public InputStream getAsciiStream(String columnLabel)
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getAsciiStream(java.lang.String)`

### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBigDecimal(int)`

### getBigDecimal

    public BigDecimal getBigDecimal(String columnLabel)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBigDecimal(java.lang.String)`

### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBigDecimal(int, int)`

### getBigDecimal

    public BigDecimal getBigDecimal(String columnLabel,
                                    int scale)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBigDecimal(java.lang.String, int)`

### getBinaryStream

    public InputStream getBinaryStream(int columnIndex)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBinaryStream(int)`

### getBinaryStream

    public InputStream getBinaryStream(String columnLabel)
                                throws SQLException

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBinaryStream(java.lang.String)`

### getBlob

    public Blob getBlob(int columnIndex)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBlob(int)`

### getBlob

    public Blob getBlob(String columnLabel)
                 throws SQLException

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBlob(java.lang.String)`

### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBoolean(int)`

### getBoolean

    public boolean getBoolean(String columnLabel)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBoolean(java.lang.String)`

### getByte

    public byte getByte(int columnIndex)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getByte(int)`

### getByte

    public byte getByte(String columnLabel)
                 throws SQLException

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getByte(java.lang.String)`

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBytes(int)`

### getBytes

    public byte[] getBytes(String columnLabel)
                    throws SQLException

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getBytes(java.lang.String)`

### getCharacterStream

    public Reader getCharacterStream(int columnIndex)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getCharacterStream(int)`

### getCharacterStream

    public Reader getCharacterStream(String columnLabel)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getCharacterStream(java.lang.String)`

### getClob

    public Clob getClob(int columnIndex)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getClob(int)`

### getClob

    public Clob getClob(String columnLabel)
                 throws SQLException

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getClob(java.lang.String)`

### getConcurrency

    public int getConcurrency()
                       throws SQLException

  Specified by:
    `getConcurrency` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getConcurrency()`

### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getDate(int)`

### getDate

    public Date getDate(String columnLabel)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getDate(java.lang.String)`

### getDate

    public Date getDate(int columnIndex,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getDate(int, java.util.Calendar)`

### getDate

    public Date getDate(String columnLabel,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getDate(java.lang.String, java.util.Calendar)`

### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getDouble(int)`

### getDouble

    public double getDouble(String columnLabel)
                     throws SQLException

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getDouble(java.lang.String)`

### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getFloat(int)`

### getFloat

    public float getFloat(String columnLabel)
                   throws SQLException

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getFloat(java.lang.String)`

### getHoldability

    public int getHoldability()
                       throws SQLException

  According to 1.6 javadocs, holdability should be set to either `ResultSet.CLOSE_CURSORS_AT_COMMIT` or `ResultSet.HOLD_CURSORS_OVER_COMMIT`. However, JDBC 4.0 spec says the default holdability is implementation defined. Therefore, the default value will be 0.

  Specified by:
    `getHoldability` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getHoldability()`

### getInt

    public int getInt(int columnIndex)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getInt(int)`

### getInt

    public int getInt(String columnLabel)
               throws SQLException

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getInt(java.lang.String)`

### getLong

    public long getLong(int columnIndex)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getLong(int)`

### getLong

    public long getLong(String columnLabel)
                 throws SQLException

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getLong(java.lang.String)`

### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getNCharacterStream(int)`

### getNCharacterStream

    public Reader getNCharacterStream(String columnLabel)
                               throws SQLException

  Specified by:
    `getNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getNCharacterStream(java.lang.String)`

### getNClob

    public NClob getNClob(int columnIndex)
                   throws SQLException

  Specified by:
    `getNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getNClob(int)`

### getNClob

    public NClob getNClob(String columnLabel)
                   throws SQLException

  Specified by:
    `getNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getNClob(java.lang.String)`

### getNString

    public String getNString(int columnIndex)
                      throws SQLException

  Specified by:
    `getNString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getNString(int)`

### getNString

    public String getNString(String columnLabel)
                      throws SQLException

  Specified by:
    `getNString` in interface `ResultSet`
  Throws:
    `SQLFeatureNotSupportedException();`
    `SQLException`
  See Also:
    `ResultSet.getNString(java.lang.String)`

### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getObject(int)`

### getObject

    public Object getObject(String columnLabel)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getObject(java.lang.String)`

### getObject

    public Object getObject(int columnIndex,
                            Map<String,Class<?>> map)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getObject(int, java.util.Map)`

### getObject

    public Object getObject(String columnLabel,
                            Map<String,Class<?>> map)
                     throws SQLException

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getObject(java.lang.String, java.util.Map)`

### getObject

    public <T> T getObject(int columnIndex,
                           Class<T> type)
                throws SQLException

  This method always throws `SQLFeatureNotSupportedException`.

  Note: This method is part of the JDBC API in JDK 1.7.

  Type Parameters:
    `T` - the type class
  Parameters:
    `columnIndex` -
    `type` -
  Returns:
    the object
  Throws:
    `SQLException`

### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> type)
                throws SQLException

  This method always throws `SQLFeatureNotSupportedException`.

  Note: This method is part of the JDBC API in JDK 1.7.

  Type Parameters:
    `T` - the type class
  Parameters:
    `columnLabel` -
    `type` -
  Returns:
    the object
  Throws:
    `SQLException`

### getRef

    public Ref getRef(int columnIndex)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getRef(int)`

### getRef

    public Ref getRef(String columnLabel)
               throws SQLException

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getRef(java.lang.String)`

### getSQLXML

    public SQLXML getSQLXML(int columnIndex)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getSQLXML(int)`

### getSQLXML

    public SQLXML getSQLXML(String columnLabel)
                     throws SQLException

  Specified by:
    `getSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getSQLXML(java.lang.String)`

### getShort

    public short getShort(int columnIndex)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getShort(int)`

### getShort

    public short getShort(String columnLabel)
                   throws SQLException

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getShort(java.lang.String)`

### getString

    public String getString(int columnIndex)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getString(int)`

### getString

    public String getString(String columnLabel)
                     throws SQLException

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getString(java.lang.String)`

### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTime(int)`

### getTime

    public Time getTime(String columnLabel)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTime(java.lang.String)`

### getTime

    public Time getTime(int columnIndex,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTime(int, java.util.Calendar)`

### getTime

    public Time getTime(String columnLabel,
                        Calendar cal)
                 throws SQLException

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTime(java.lang.String, java.util.Calendar)`

### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTimestamp(int)`

### getTimestamp

    public Timestamp getTimestamp(String columnLabel)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTimestamp(java.lang.String)`

### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  Calendar cal)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTimestamp(int, java.util.Calendar)`

### getTimestamp

    public Timestamp getTimestamp(String columnLabel,
                                  Calendar cal)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getTimestamp(java.lang.String, java.util.Calendar)`

### getURL

    public URL getURL(int columnIndex)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getURL(int)`

### getURL

    public URL getURL(String columnLabel)
               throws SQLException

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getURL(java.lang.String)`

### getUnicodeStream

    public InputStream getUnicodeStream(int columnIndex)
                                 throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getUnicodeStream(int)`

### getUnicodeStream

    public InputStream getUnicodeStream(String columnLabel)
                                 throws SQLException

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.getUnicodeStream(java.lang.String)`

### getValue

    public Value getValue(int columnIndex)
                   throws SQLException

  Throws:
    `SQLException`

### getValue

    public Value getValue(String columnLabel)
                   throws SQLException

  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()

  Specified by:
    `getWarnings` in interface `ResultSet`
  See Also:
    `ResultSet.getWarnings()`

### hasNext

    protected boolean hasNext()

### insertRow

    public void insertRow()
                   throws SQLException

  Specified by:
    `insertRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.insertRow()`

### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

  Specified by:
    `isAfterLast` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.isAfterLast()`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

  Specified by:
    `isBeforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.isBeforeFirst()`

### isFirst

    public boolean isFirst()
                    throws SQLException

  Specified by:
    `isFirst` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.isFirst()`

### isLast

    public boolean isLast()
                   throws SQLException

  Specified by:
    `isLast` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.isLast()`

### isRowSet

    protected final void isRowSet()
                           throws SQLException

  Throws:
    `SQLException`

### last

    public boolean last()
                 throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `last` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.last()`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.moveToCurrentRow()`

### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

  Specified by:
    `moveToInsertRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.moveToInsertRow()`

### next

    public boolean next()
                 throws SQLException

  This method, when cursor position is after the last row, will return `false`

  Specified by:
    `next` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.next()`

### previous

    public boolean previous()
                     throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `previous` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.previous()`

### refreshRow

    public void refreshRow()
                    throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `refreshRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.refreshRow()`

### relative

    public boolean relative(int rows)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLException` because this driver only supports `ResultSet.FETCH_FORWARD`.

  Specified by:
    `relative` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.relative(int)`

### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

  This method always returns false since this JDBC driver does not support any updates.

  Specified by:
    `rowDeleted` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.rowDeleted()`

### rowInserted

    public boolean rowInserted()
                        throws SQLException

  This method always returns false since this JDBC driver does not support any updates.

  Specified by:
    `rowInserted` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.rowInserted()`

### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

  This method always returns false since this JDBC driver does not support any updates.

  Specified by:
    `rowUpdated` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.rowUpdated()`

### setFetchSize

    public void setFetchSize(int rows)

  Specified by:
    `setFetchSize` in interface `ResultSet`
  See Also:
    `ResultSet.setFetchSize(int)`

### updateArray

    public void updateArray(int columnIndex,
                            Array x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateArray(int, java.sql.Array)`

### updateArray

    public void updateArray(String columnLabel,
                            Array x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateArray(java.lang.String, java.sql.Array)`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x)
                           throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateAsciiStream(int, java.io.InputStream)`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x)
                           throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateAsciiStream(java.lang.String, java.io.InputStream)`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x,
                                  int length)
                           throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateAsciiStream(int, java.io.InputStream, int)`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x,
                                  int length)
                           throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateAsciiStream(java.lang.String, java.io.InputStream, int)`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x,
                                  long length)
                           throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateAsciiStream(int, java.io.InputStream, long)`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x,
                                  long length)
                           throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateAsciiStream(java.lang.String, java.io.InputStream, long)`

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 BigDecimal x)
                          throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBigDecimal(int, java.math.BigDecimal)`

### updateBigDecimal

    public void updateBigDecimal(String columnLabel,
                                 BigDecimal x)
                          throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBigDecimal(java.lang.String, java.math.BigDecimal)`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x)
                            throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBinaryStream(int, java.io.InputStream)`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x)
                            throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBinaryStream(java.lang.String, java.io.InputStream)`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x,
                                   int length)
                            throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBinaryStream(int, java.io.InputStream, int)`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x,
                                   int length)
                            throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBinaryStream(java.lang.String, java.io.InputStream, int)`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x,
                                   long length)
                            throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBinaryStream(int, java.io.InputStream, long)`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x,
                                   long length)
                            throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBinaryStream(java.lang.String, java.io.InputStream, long)`

### updateBlob

    public void updateBlob(int columnIndex,
                           Blob x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBlob(int, java.sql.Blob)`

### updateBlob

    public void updateBlob(String columnLabel,
                           Blob x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBlob(java.lang.String, java.sql.Blob)`

### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBlob(int, java.io.InputStream)`

### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBlob(java.lang.String, java.io.InputStream)`

### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBlob(int, java.io.InputStream, long)`

### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBlob(java.lang.String, java.io.InputStream, long)`

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBoolean(int, boolean)`

### updateBoolean

    public void updateBoolean(String columnLabel,
                              boolean x)
                       throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBoolean(java.lang.String, boolean)`

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateByte(int, byte)`

### updateByte

    public void updateByte(String columnLabel,
                           byte x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateByte(java.lang.String, byte)`

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBytes(int, byte[])`

### updateBytes

    public void updateBytes(String columnLabel,
                            byte[] x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateBytes(java.lang.String, byte[])`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x)
                               throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateCharacterStream(int, java.io.Reader)`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader)
                               throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateCharacterStream(java.lang.String, java.io.Reader)`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x,
                                      int length)
                               throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateCharacterStream(int, java.io.Reader, int)`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader,
                                      int length)
                               throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateCharacterStream(java.lang.String, java.io.Reader, int)`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x,
                                      long length)
                               throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateCharacterStream(int, java.io.Reader, long)`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateCharacterStream(java.lang.String, java.io.Reader, long)`

### updateClob

    public void updateClob(int columnIndex,
                           Clob x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateClob(int, java.sql.Clob)`

### updateClob

    public void updateClob(String columnLabel,
                           Clob x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateClob(java.lang.String, java.sql.Clob)`

### updateClob

    public void updateClob(int columnIndex,
                           Reader reader)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateClob(int, java.io.Reader)`

### updateClob

    public void updateClob(String columnLabel,
                           Reader reader)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateClob(java.lang.String, java.io.Reader)`

### updateClob

    public void updateClob(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateClob(int, java.io.Reader, long)`

### updateClob

    public void updateClob(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateClob(java.lang.String, java.io.Reader, long)`

### updateDate

    public void updateDate(int columnIndex,
                           Date x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateDate(int, java.sql.Date)`

### updateDate

    public void updateDate(String columnLabel,
                           Date x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateDate(java.lang.String, java.sql.Date)`

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateDouble(int, double)`

### updateDouble

    public void updateDouble(String columnLabel,
                             double x)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateDouble(java.lang.String, double)`

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateFloat(int, float)`

### updateFloat

    public void updateFloat(String columnLabel,
                            float x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateFloat(java.lang.String, float)`

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateInt(int, int)`

### updateInt

    public void updateInt(String columnLabel,
                          int x)
                   throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateInt(java.lang.String, int)`

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateLong(int, long)`

### updateLong

    public void updateLong(String columnLabel,
                           long x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateLong(java.lang.String, long)`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader x)
                                throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNCharacterStream(int, java.io.Reader)`

### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader)
                                throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNCharacterStream(java.lang.String, java.io.Reader)`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader x,
                                       long length)
                                throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNCharacterStream(int, java.io.Reader, long)`

### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNCharacterStream(java.lang.String, java.io.Reader, long)`

### updateNClob

    public void updateNClob(int columnIndex,
                            NClob clob)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNClob(int, java.sql.NClob)`

### updateNClob

    public void updateNClob(String columnLabel,
                            NClob clob)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNClob(java.lang.String, java.sql.NClob)`

### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNClob(int, java.io.Reader)`

### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNClob(java.lang.String, java.io.Reader)`

### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNClob(int, java.io.Reader, long)`

### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNClob` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNClob(java.lang.String, java.io.Reader, long)`

### updateNString

    public void updateNString(int columnIndex,
                              String string)
                       throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNString(int, java.lang.String)`

### updateNString

    public void updateNString(String columnLabel,
                              String string)
                       throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNString(java.lang.String, java.lang.String)`

### updateNull

    public void updateNull(int columnIndex)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNull(int)`

### updateNull

    public void updateNull(String columnLabel)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateNull(java.lang.String)`

### updateObject

    public void updateObject(int columnIndex,
                             Object x)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateObject(int, java.lang.Object)`

### updateObject

    public void updateObject(String columnLabel,
                             Object x)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateObject(java.lang.String, java.lang.Object)`

### updateObject

    public void updateObject(int columnIndex,
                             Object x,
                             int scaleOrLength)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateObject(int, java.lang.Object, int)`

### updateObject

    public void updateObject(String columnLabel,
                             Object x,
                             int scaleOrLength)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateObject(java.lang.String, java.lang.Object, int)`

### updateRef

    public void updateRef(int columnIndex,
                          Ref x)
                   throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateRef(int, java.sql.Ref)`

### updateRef

    public void updateRef(String columnLabel,
                          Ref x)
                   throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateRef(java.lang.String, java.sql.Ref)`

### updateRow

    public void updateRow()
                   throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateRow` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateRow()`

### updateRowId

    public void updateRowId(int columnIndex,
                            RowId x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateRowId` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateRowId(int, java.sql.RowId)`

### updateRowId

    public void updateRowId(String columnLabel,
                            RowId x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateRowId` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateRowId(java.lang.String, java.sql.RowId)`

### updateSQLXML

    public void updateSQLXML(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateSQLXML(int, java.sql.SQLXML)`

### updateSQLXML

    public void updateSQLXML(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateSQLXML` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateSQLXML(java.lang.String, java.sql.SQLXML)`

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateShort(int, short)`

### updateShort

    public void updateShort(String columnLabel,
                            short x)
                     throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateShort(java.lang.String, short)`

### updateString

    public void updateString(int columnIndex,
                             String x)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateString(int, java.lang.String)`

### updateString

    public void updateString(String columnLabel,
                             String x)
                      throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateString(java.lang.String, java.lang.String)`

### updateTime

    public void updateTime(int columnIndex,
                           Time x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateTime(int, java.sql.Time)`

### updateTime

    public void updateTime(String columnLabel,
                           Time x)
                    throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateTime(java.lang.String, java.sql.Time)`

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                Timestamp x)
                         throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateTimestamp(int, java.sql.Timestamp)`

### updateTimestamp

    public void updateTimestamp(String columnLabel,
                                Timestamp x)
                         throws SQLException

  This method, when called on an open result set, always throws `SQLFeatureNotSupportedException` since this JDBC driver does not support any updates.

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.updateTimestamp(java.lang.String, java.sql.Timestamp)`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `ResultSet`
  Throws:
    `SQLException`
  See Also:
    `ResultSet.wasNull()`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)

  Specified by:
    `isWrapperFor` in interface `Wrapper`
  See Also:
    `Wrapper.isWrapperFor(java.lang.Class)`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Specified by:
    `unwrap` in interface `Wrapper`
  Throws:
    `SQLException`
  See Also:
    `Wrapper.unwrap(java.lang.Class)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.